Bug 814542 - Review Request: lv2 - Audio Plugin standard (lv2core rename)
Review Request: lv2 - Audio Plugin standard (lv2core rename)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 814040 814916
  Show dependency treegraph
 
Reported: 2012-04-20 01:43 EDT by Brendan Jones
Modified: 2012-05-27 21:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 21:18:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-04-20 01:43:45 EDT
LV2 is a standard for plugins and matching host applications, mainly
targeted at audio processing and generation.  

lv2-1.0.0 is a package rename/replacement for the existing package lv2core-6.0.

lv2 is the new tarball distributed upstream which contains all files from lv2core plus all of the release LV2 specification extensions.
Previously the extensions were released as separate tarballs, requiring that each be packaged separately even though most contained only header files and metadata. 

Bug 814040 discusses the requirement in more depth.

SPEC: http://bsjones.fedorapeople.org/lv2/lv2.spec
SRPM: http://bsjones.fedorapeople.org/lv2/lv2-1.0.0-1.fc16.src.rpm

Rpmlint output (all expected)

rpmlint /home/bsjones/rpmbuild/SRPMS/lv2-1.0.0-1.fc16.src.rpm /home/bsjones/rpmbuild/RPMS/x86_64/lv2-1.0.0-1.fc16.x86_64.rpm /home/bsjones/rpmbuild/RPMS/x86_64/lv2-devel-1.0.0-1.fc16.x86_64.rpm
lv2.x86_64: W: obsolete-not-provided lv2core{?_isa}
lv2.x86_64: W: obsolete-not-provided lv2-ui{?_isa}
lv2-devel.x86_64: W: obsolete-not-provided lv2core-devel{?_isa}
lv2-devel.x86_64: W: obsolete-not-provided lv2-ui-devel{?_isa}
lv2-devel.x86_64: W: no-documentation
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/dynmanifest ../../../../../lib64/lv2/dynmanifest.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/state ../../../../../lib64/lv2/state.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/port-groups ../../../../../lib64/lv2/port-groups.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/uri-map ../../../../../lib64/lv2/uri-map.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/worker ../../../../../lib64/lv2/worker.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/extensions/ui ../../../../../lib64/lv2/ui.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/log ../../../../../lib64/lv2/log.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/patch ../../../../../lib64/lv2/patch.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/urid ../../../../../lib64/lv2/urid.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/lv2core ../../../../lib64/lv2/lv2core.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/port-props ../../../../../lib64/lv2/port-props.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/instance-access ../../../../../lib64/lv2/instance-access.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/data-access ../../../../../lib64/lv2/data-access.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/time ../../../../../lib64/lv2/time.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/extensions/units ../../../../../lib64/lv2/units.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/resize-port ../../../../../lib64/lv2/resize-port.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/event ../../../../../lib64/lv2/event.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/atom ../../../../../lib64/lv2/atom.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/presets ../../../../../lib64/lv2/presets.lv2
lv2-devel.x86_64: W: dangling-relative-symlink /usr/include/lv2/lv2plug.in/ns/ext/midi ../../../../../lib64/lv2/midi.lv2
Comment 1 Brendan Jones 2012-04-20 02:15:09 EDT
SPEC: http://bsjones.fedorapeople.org/lv2/lv2.spec
SRPM: http://bsjones.fedorapeople.org/lv2/lv2-1.0.0-1.fc16.src.rpm

Corrected Obsoletes/Provides
Comment 2 Gwyn Ciesla 2012-04-20 10:58:09 EDT
I'll take this. . .
Comment 3 Gwyn Ciesla 2012-04-20 12:11:32 EDT
ood:

- rpmlint checks return:

See above.  

Should these last remaining obsoletes warnings not be fixed?

lv2.x86_64: W: obsolete-not-provided lv2-ui(x86-64)
lv2-devel.x86_64: W: obsolete-not-provided lv2-ui-devel(x86-64)

Also:

lv2-debuginfo.x86_64: E: debuginfo-without-sources

Fix.

- package meets naming guidelines
- package meets packaging guidelines
- license ( ISC ) OK, text in %doc, matches source

I also see MIT and CC-AT-SA

- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok

Fix.

- devel requires base package n-v-r 

Also, I see it's using a local waf, why not BuildRequire waf and use the system waf?
Comment 4 Brendan Jones 2012-04-20 12:37:24 EDT
Thanks for taking this on.

I should have reposted the rpmlint out put when I re-uploaded the package.

The build fails with system waf (even though they are the same version). This is a patched custom waf script used quite widely in linux audio projects. Waf upstream recommends always bundling a local waf (not saying I agree). There's no clear guidelines on this. 

All other fixes done.

SPEC: http://bsjones.fedorapeople.org/lv2/lv2.spec
SRPM: http://bsjones.fedorapeople.org/lv2/lv2-1.0.0-2.fc16.src.rpm
Comment 5 Brendan Jones 2012-04-20 12:39:51 EDT
Also, can you please confirm that I've got the Obsoletes/Requires correct?

Its more of a replacement than a rename as the version of this package is 1.0.0 and lv2core is currently sitting at lv2core-6.0-3
Comment 6 Gwyn Ciesla 2012-04-20 13:01:33 EDT
Ok, just the docs and symlinks now, and those are more or less OK.  The obsoletes and requires are good.

I'm not thrilled with the bundled waf, but since it's just a build tool and not included I'll let it slide for now, but if you or upstream can ever get it building with system waf that would be highly preferable.

APPROVED.
Comment 7 Brendan Jones 2012-04-20 13:12:09 EDT
Thanks for the review Jon. Let me know if I can return the favour.

New Package SCM Request
=======================
Package Name: lv2
Short Description: Audio Plugin Standard
Owners: bsjones
Branches: f16 f17
InitialCC:
Comment 8 Gwyn Ciesla 2012-04-20 13:22:31 EDT
Nothing now, but you could always do a Merge Review. :)
Comment 9 Gwyn Ciesla 2012-04-20 13:22:59 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-05-14 17:03:24 EDT
lv2-1.0.0-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lv2-1.0.0-6.fc17
Comment 11 Fedora Update System 2012-05-14 22:30:52 EDT
lv2-1.0.0-6.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-05-27 21:18:13 EDT
lv2-1.0.0-6.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.